Bug 1685234 - Operator should use imagePullPolicy: IfNotPresent
Summary: Operator should use imagePullPolicy: IfNotPresent
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Master
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.1.0
Assignee: Adam Kaplan
QA Contact: zhou ying
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-04 17:43 UTC by Clayton Coleman
Modified: 2019-06-04 10:45 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of: 1685233
Environment:
Last Closed: 2019-06-04 10:45:04 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:45:12 UTC

Description Clayton Coleman 2019-03-04 17:43:04 UTC
+++ This bug was initially created as a clone of Bug #1685219 +++

Use imagePullPolicy: IfNotPresent instead of always in:

["openshift-controller-manager-operator","openshift-controller-manager-operator-7dfd86bb9-khsrs"]

Comment 3 zhou ying 2019-03-14 07:48:20 UTC
The issue has fixed with ocp version:
[zhouying@dhcp-140-138 Downloads]$ oc version --short
Client Version: v4.0.22
Server Version: v1.12.4+4836bc9


[zhouying@dhcp-140-138 Downloads]$ oc get po openshift-controller-manager-operator-7bf74458cd-6mk7d -n openshift-controller-manager-operator -o yaml 
......
spec:
.....
    image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:90fc3229573446bc65245f990f9629c252f97ff5d5d2dea0c9f7491485f1c738
    imagePullPolicy: IfNotPresent

Comment 5 errata-xmlrpc 2019-06-04 10:45:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.